# Uses of Interface
javax.swing.colorchooser.ColorSelectionModel

Packages that use ColorSelectionModel
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.colorchooser
Contains classes and interfaces used by the `JColorChooser` component.

## Uses of ColorSelectionModel in javax.swing

Methods in javax.swing that return ColorSelectionModel
Modifier and Type
Method
Description
`ColorSelectionModel`
JColorChooser.`getSelectionModel()`
Returns the data model that handles color selections.
Methods in javax.swing with parameters of type ColorSelectionModel
Modifier and Type
Method
Description
`void`
JColorChooser.`setSelectionModel(ColorSelectionModel newModel)`
Sets the model containing the selected color.
Constructors in javax.swing with parameters of type ColorSelectionModel
Modifier
Constructor
Description
``
`JColorChooser(ColorSelectionModel model)`
Creates a color chooser pane with the specified `ColorSelectionModel`.

## Uses of ColorSelectionModel in javax.swing.colorchooser

Classes in javax.swing.colorchooser that implement ColorSelectionModel
Modifier and Type
Class
Description
`class`
`DefaultColorSelectionModel`
A generic implementation of `ColorSelectionModel`.
Methods in javax.swing.colorchooser that return ColorSelectionModel
Modifier and Type
Method
Description
`ColorSelectionModel`
AbstractColorChooserPanel.`getColorSelectionModel()`
Returns the model that the chooser panel is editing.